// File: BowlFramePanel.java
// Panel extension to hold the shots (TextFields) 
//	and frame total (Label) for display/input

import java.awt.*;
import java.awt.event.*;

public class BowlFramePanel extends Panel /*implements ActionListener */{

 public TextField[] Shot;
 public Label RunningTotal;

 public BowlFramePanel()
 {BowlFramePanelConstruct();
 }
 
 public void BowlFramePanelConstruct()
 {// setLayout(new BorderLayout());
  setLayout(null);
  this.setBackground(Color.lightGray);
  
  Shot=new TextField[2];
  
  Shot[0]=new TextField();
  Shot[0].setText("");
  Shot[0].setSize(30,30);
  Shot[0].setLocation(1,1);
  Shot[0].setEnabled(false);
  Shot[0].setEditable(false);
  Shot[0].setBackground(Color.white);
  Shot[0].setFont(new Font("Courier",Font.BOLD,18));
  // add("West",Shot[0]);
  add(Shot[0]);
  
  Shot[1]=new TextField();
  Shot[1].setText("");
  // Shot[1].setSize(30,50);
  Shot[1].setSize(30,30);
  Shot[1].setLocation(30,1);
  Shot[1].setEnabled(false);
  Shot[1].setEditable(false);
  Shot[1].setBackground(Color.white);
  Shot[1].setFont(new Font("Courier",Font.BOLD,18));
  // add("East",Shot[1]);
  add(Shot[1]);
  
  RunningTotal=new Label("  ");	  
  // Must set both location and size!
  RunningTotal.setBounds(5,31,60,20);
  RunningTotal.setFont(new Font("Courier",Font.BOLD,16));
  add(RunningTotal);
  // add("South",RunningTotal);
 }
 
 void TextFieldToLabel(int shotNum)
 {remove(Shot[shotNum-1]);
  switch (shotNum) {
  case 1:add("West",new Label(Shot[shotNum-1].getText())); 
		break;
  case 2:add("East",new Label(Shot[shotNum-1].getText()));
		break;
  }
} 
 
 public boolean isStrike()
 {return(Shot[0].getText().equals("X"));}

 public boolean isSpare()
 {return(getPins()==10 && getShot(1)!=10);}

 public int getShot(int num)
 {switch (num) {
	case 1:if (Shot[0].getText().equals("X"))
			   return(10);
		   return(Integer.valueOf(Shot[0].getText()).intValue());
	case 2:if (Shot[1].getText().equals("/"))
			   return(10-getShot(1));
		   return(Integer.valueOf(Shot[1].getText()).intValue());
  }
  return(0);
 }

 public int getPins()
 {if (Shot[0].getText().equals("X") || Shot[1].getText().equals("/"))
	  return(10);
  return(Integer.valueOf(Shot[0].getText()).intValue()+
			Integer.valueOf(Shot[1].getText()).intValue());
 }

}
